質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.96%

ubuntu 20.4 環境にsass と compass を導入したい。

受付中

回答 0

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 625

score 12

ubuntu 20.4 環境にsass と compass を導入したい。

導入したパス(app/public/css)にcd で移動して、
rootユーザで以下のコマンドを実行しました

gem install sass --version "3.4.25"
gem install compass

それぞれインストールは成功したのですが、
いざ、sassを実行するとエラーになり、いろいろ調べてみたのですがどうしても
わからなくて困っています。
■sass の実行コマンド
sass --compass --watch item.scss:item.css

■上記コマンド実行時のエラー
Traceback (most recent call last):
1: from /usr/local/bin/sass:23:in <main>' /usr/local/bin/sass:23:in load': cannot load such file -- /usr/share/rubygems-integration/all/gems/sass-3.7.4/bin/sass (LoadError)

確かに/usr/share/rubygems-integration/all/gemsは、sass-3.7.4~以下がないのは確認したのですが
ここにsassモジュールがないのが原因だとはわかっても、どうすればいいのかわからず
教えて頂けたら幸いです。

■試したこと。
一度、インストールしたsassを以下のコマンドで削除して、再度インストールしなおしても無理でした。
gem uninstall sass

今の環境の状態です。

ubuntu:/usr/share/rubygems-integration/all/gems$ which ruby
/usr/bin/ruby
ubuntu:/usr/share/rubygems-integration/all/gems$ which sass
/usr/local/bin/sass
ubuntu:/usr/share/rubygems-integration/all/gems$ which scss
/usr/local/bin/scss
ubuntu:/usr/share/rubygems-integration/all/gems$ which compass
/usr/local/bin/compass
ubuntu:/usr/share/rubygems-integration/all/gems$ sass -v
Traceback (most recent call last):
1: from /usr/local/bin/sass:23:in <main>' /usr/local/bin/sass:23:in load': cannot load such file -- /usr/share/rubygems-integration/all/gems/sass-3.7.4/bin/sass (LoadError)
ubuntu:/usr/share/rubygems-integration/all/gems$ scss -v
Traceback (most recent call last):
1: from /usr/local/bin/scss:23:in <main>' /usr/local/bin/scss:23:in load': cannot load such file -- /usr/share/rubygems-integration/all/gems/sass-3.7.4/bin/scss (LoadError)
ubuntu:/usr/share/rubygems-integration/all/gems$ ruby -v
ruby 2.7.0p0 (2019-12-25 revision 647ee6f091) [x86_64-linux-gnu]
ubuntu:/usr/share/rubygems-integration/all/gems$ ruby -v
ruby 2.7.0p0 (2019-12-25 revision 647ee6f091) [x86_64-linux-gnu]
ubuntu:/usr/share/rubygems-integration/all/gems$

sassは、これで見るとインストール失敗しているようなのですが、どうすればいいかわかりません。
宜しくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.96%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る